Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## UI.Run
Class GEVARun

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          UI.Run.GEVARun

All Implemented Interfaces:
  java.awt.event.WindowListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants, GEVAPaneManager, GEVAStreamParser.Listener<GEVAGlobalStreamParser.Event>

    public class GEVARun

extends javax.swing.JDialog
implements java.awt.event.WindowListener, GEVAPaneManager, GEVAStreamParser.Listener<GEVAGlobalStreamParser.Event>

Run the GEVA process in a new window. Closing this window while GEVA is still running will kill the GEVA process.

Author:
  eliottbartley
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog, java.awt.Dialog.ModalExclusionType, java.awt.Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`GEVARun(java.awt.Dialog owner, java.lang.String propertiesFilePath, GEVAFitness fitness)`
`GEVARun(java.awt.Frame owner, java.lang.String propertiesFilePath, GEVAFitness fitness)`

Method Summary
`void` | `addPane(GEVAPane pane, java.lang.String title)` The calling pane is telling that it exists.
`void` | `addPaneStatus(GEVAPane pane, java.awt.Component component)` Have this run pane add a status to the run pane manager's status bar.
`void` | `addPaneTool(GEVAPane pane, java.awt.Component component)` The calling pane is adding a component that it wants added to the toolbar when it is visible
`void` | `close()` Close this window, making sure to clean up before doing so.
`boolean` | `isViewingPane(GEVAPane pane)` Test if a particular pane is the currently visible pane.
`void` | `lineParsed(GEVAGlobalStreamParser.Event event)` Called when a single line has been acceptedly parsed
`void` | `removePaneStatus(GEVAPane pane, java.awt.Component component)` Have this run pane remove a status from the run pane manager's status bar
`void` | `removePaneTool(GEVAPane pane, java.awt.Component component)` The calling pane is removing a component that it no longer wants added to the toolbar when it is visible
`void` | `streamParsed()` Listen to the stream for when GEVA ends and display a message to the user
`void` | `viewPane(GEVAPane pane)` The calling pane wants to force itself to be made visible.
`void` | `viewPane(GEVAPane pane, java.lang.String reason)` The calling pane wants itself to be made visible, but this will only carry out the request the first time it's called by the pane for a given reason
`void` | `windowActivated(java.awt.event.WindowEvent event)`
`void` | `windowClosed(java.awt.event.WindowEvent event)`
`void` | `windowClosing(java.awt.event.WindowEvent event)`
`void` | `windowDeactivated(java.awt.event.WindowEvent event)`
`void` | `windowDeiconified(java.awt.event.WindowEvent event)`
`void` | `windowIconified(java.awt.event.WindowEvent event)`
`void` | `windowOpened(java.awt.event.WindowEvent event)`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Dialog
`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setModalityType, setResizable, setTitle, setUndecorated, setVisible, show, toBack`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GEVARun

    public GEVARun(java.awt.Dialog owner,
                   java.lang.String propertiesFilePath,
                   GEVAFitness fitness)

### GEVARun

    public GEVARun(java.awt.Frame owner,
                   java.lang.String propertiesFilePath,
                   GEVAFitness fitness)

Method Detail

### addPane

    public void addPane(GEVAPane pane,
                        java.lang.String title)

  The calling pane is telling that it exists. Allocate memory for it

  Specified by:
    `addPane` in interface `GEVAPaneManager`

### viewPane

    public void viewPane(GEVAPane pane)

  The calling pane wants to force itself to be made visible. Currently (2008y08M21d) only the output window calls this when an error occurs

  Specified by:
    `viewPane` in interface `GEVAPaneManager`

### viewPane

    public void viewPane(GEVAPane pane,
                         java.lang.String reason)

  The calling pane wants itself to be made visible, but this will only carry out the request the first time it's called by the pane for a given reason

  Specified by:
    `viewPane` in interface `GEVAPaneManager`

### isViewingPane

    public boolean isViewingPane(GEVAPane pane)

  Test if a particular pane is the currently visible pane. Currently (2008y08M21d) unused

  Specified by:
    `isViewingPane` in interface `GEVAPaneManager`

### addPaneTool

    public void addPaneTool(GEVAPane pane,
                            java.awt.Component component)

  The calling pane is adding a component that it wants added to the toolbar when it is visible

  Specified by:
    `addPaneTool` in interface `GEVAPaneManager`

### removePaneTool

    public void removePaneTool(GEVAPane pane,
                               java.awt.Component component)

  The calling pane is removing a component that it no longer wants added to the toolbar when it is visible

  Specified by:
    `removePaneTool` in interface `GEVAPaneManager`

### addPaneStatus

    public void addPaneStatus(GEVAPane pane,
                              java.awt.Component component)

  Description copied from interface: `GEVAPaneManager`
  Have this run pane add a status to the run pane manager's status bar. The run pane manager will show all status tools for all run panes regardless of whether that run pane is visible at the current time

  Specified by:
    `addPaneStatus` in interface `GEVAPaneManager`

### removePaneStatus

    public void removePaneStatus(GEVAPane pane,
                                 java.awt.Component component)

  Description copied from interface: `GEVAPaneManager`
  Have this run pane remove a status from the run pane manager's status bar

  Specified by:
    `removePaneStatus` in interface `GEVAPaneManager`

### close

    public void close()

  Close this window, making sure to clean up before doing so. This may mean the window is not actually closed; if GEVA was still running and the user requested that it not be stopped, the window will remain open

### lineParsed

    public void lineParsed(GEVAGlobalStreamParser.Event event)

  Description copied from interface: `GEVAStreamParser.Listener`
  Called when a single line has been acceptedly parsed

  Specified by:
    `lineParsed` in interface `GEVAStreamParser.Listener<GEVAGlobalStreamParser.Event>`

### streamParsed

    public void streamParsed()

  Listen to the stream for when GEVA ends and display a message to the user

  Specified by:
    `streamParsed` in interface `GEVAStreamParser.Listener<GEVAGlobalStreamParser.Event>`

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent event)

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent event)

  Specified by:
    `windowActivated` in interface `java.awt.event.WindowListener`

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent event)

  Specified by:
    `windowClosed` in interface `java.awt.event.WindowListener`

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent event)

  Specified by:
    `windowDeactivated` in interface `java.awt.event.WindowListener`

### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent event)

  Specified by:
    `windowDeiconified` in interface `java.awt.event.WindowListener`

### windowIconified

    public void windowIconified(java.awt.event.WindowEvent event)

  Specified by:
    `windowIconified` in interface `java.awt.event.WindowListener`

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent event)

  Specified by:
    `windowOpened` in interface `java.awt.event.WindowListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD